export default defineAppConfig({
  pages: [
    'pages/index/index',
    'pages/meeting/meeting',
    'pages/login/login',
    'pages/check/check',
    'pages/my/my',
  ],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#fff',
    navigationBarTitleText: '课程',
    navigationBarTextStyle: 'black'
  },
  tabBar: {
    color: '#909795',
    selectedColor: '#45D4A8',
    list: [
      {
        text: '课题',
        pagePath: 'pages/index/index',
        iconPath: "static/tabs/home-unselect.png",
        selectedIconPath: "static/tabs/home-selected.png",
      },
      {
        text: "我的",
        pagePath: 'pages/my/my',
        iconPath: "static/tabs/mine-unselect.png",
        selectedIconPath: "static/tabs/mine-selected.png",
      }
    ]
  },
  preloadRule: {
    'pages/index/index': {
      network: 'all',
      packages: ['pages/business']
    },
    'pages/my/my': {
      network: 'all',
      packages: ['pages/manage']
    }
  },
  subpackages: [
    {
      root: 'pages/business',
      pages: [
        'userInfo/userInfo',
        'videoInfo/videoInfo',
        'test/test',
        'history/history',
        'curHistory/curHistory',
      ]
    },
    {
      root: 'pages/manage',
      pages: [
        'depAdmin/depAdmin',
        'student/student',
        'curriculum/curriculum',
        'addStudent/addStudent',
        'depCur/depCur',
        'addCur/addCur',
        'spotMeeting/spotMeeting',
      ]
    }
  ],
  lazyCodeLoading: "requiredComponents"
})
